[SciPy-user] begging for binaries

Robert Kern rkern at ucsd.edu
Wed Oct 12 20:26:21 CDT 2005


Travis Oliphant wrote:
> Mathew Yeates wrote:
> 
>>okay, I finally got everything installed. I think.
>>
>>Now when I run scipy.test() I get a whole bunch of output followed by 
>>python crashing
>>Here are the 2 lines before the crash
>>-----
>>check_simple_underdet_complex 
>>(scipy.linalg.decomp.test_decomp.test_svdvals) ...
>> ok
>>check_basic (scipy.io.array_import.test_array_import.test_numpyio) ...
>>BOOM!
> 
> This is a problem with scipy distutils picking up the wrong system IO 
> library.  I don't know why things changed in the move to Python 2.4,  
> but for some reason, Python is being compiled against one system IO 
> library, and scipy is being compiled against another.
> 
> I don't know how to fix it, right way.  Everything worked fine with 
> Python 2.3.

The official Python 2.4 binaries are being compiled with MSVC 7 and
against that runtime. John Hunter discovered a way to compile his
matplotlib binaries with mingw, but no one has yet reported if they've
tried this with scipy:

  http://mail.python.org/pipermail/python-list/2004-December/254826.html

Some conflicting advice can be found at the bottom of this page:

  http://jove.prohosting.com/iwave/ipython/issues.html

Please try those methods and let us know how it goes.

-- 
Robert Kern
rkern at ucsd.edu

"In the fields of hell where the grass grows high
 Are the graves of dreams allowed to die."
  -- Richard Harter



More information about the SciPy-user mailing list